#16 After upgraded to 0.5.4, openid stoped working

closed-fixed
5
2009-02-12
2009-01-12
Walter Cruz
No

I always get OpenID authentication failed: Bad signature
PHP 5.2.0-8+etch13, from debian backports. I don't have GMP extension.

Discussion

  • daniel hahler

    daniel hahler - 2009-01-22

    I can confirm this, using my myopenid.com at your site.
    See also http://lists.openidenabled.com/pipermail/dev/2007-February/000277.html about "bad GMP extensions".

    That does not sound like your problem, if you really don't have GMP.

    Unfortunately, there's not much I can do now, but I'll try to reproduce it later.

     
  • Walter Cruz

    Walter Cruz - 2009-01-22

    I have seen the e-mail about "bad GMP extensions", but can't find anything useful :(

    If helps, you can see my phpinfo here: http://72.14.177.23/info.php

     
  • Walter Cruz

    Walter Cruz - 2009-01-22

    blueyed: I tried to work on it, and after failure, I had contacted you ;)

    I use PHP from etch-backports, and there's no php5-gmp packages. I could try to build php myself, with gmp support, but I think that should be a easier way to workaround that!

     
  • daniel hahler

    daniel hahler - 2009-01-25

    I'm experiencing now the same problem locally (Ubuntu Jaunty, which has php5-gmp though).

    Please try the following, which has not worked for me though:
    1. Disable math support, which may be the case for you already (see "use_math_support" plugin setting in the DB). To do so, add the following in e.g. /blogs/conf/_config.php:
    define( 'Auth_OpenID_NO_MATH_SUPPORT', true );
    This is not recommened though, and should get used only for debugging.
    2. Use a FileStore instead of the MySQL one. To do so, replace these lines:
    require_once dirname(__FILE__).'/openid_plugin_Store.class.php';
    $store = new openid_plugin_Store( $this->get_sql_table('assoc'), $this->get_sql_table('nonces') );
    with:
    // DEBUG: use FileStore (to exclude MySQL problems)
    require_once dirname(__FILE__).'/php-openid/Auth/OpenID/FileStore.php';
    $store = new Auth_OpenID_FileStore('/tmp/');

    The latter has helped someone else.

    (For the record, the testsuite admin/runtests in the upstream darcs repository does not cause any failures.)

     
  • daniel hahler

    daniel hahler - 2009-01-25

    Well, the problem I was having has been due to local changes, which invalidated the signature apparently.

    I've just released 0.5.5, please give it a try - since it may fix this issue, too.

    Thanks, and let me know how it works out.

     
  • Walter Cruz

    Walter Cruz - 2009-01-26

    Have you added some bad print somewhere? I'm getting: "Walter CruzWalter Cruz" printed after trying to comment with 0.5.5

     
  • Walter Cruz

    Walter Cruz - 2009-01-26

    The relevant log:

    Jan 26 01:35:35 waltercruz php5: Successfully fetched 'http://devlog.waltercruz.com/': GET response code 200
    Jan 26 01:35:35 waltercruz php5: Successfully fetched 'http://waltercruz.myopenid.com/xrds': GET response code 200
    Jan 26 01:35:51 waltercruz php5: Successfully fetched 'http://devlog.waltercruz.com/': GET response code 200
    Jan 26 01:35:51 waltercruz php5: Successfully fetched 'http://waltercruz.myopenid.com/xrds': GET response code 200
    Jan 26 01:35:53 waltercruz php5: PHP Warning: Cannot modify header information - headers already sent by (output started at /var/www/log/inc/users/model/_user.class.php:1237) in /var/www/log/inc/_core/_template.funcs.php on line 146
    Jan 26 01:35:53 waltercruz php5: PHP Warning: Cannot modify header information - headers already sent by (output started at /var/www/log/inc/users/model/_user.class.php:1237) in /var/www/log/inc/_core/_template.funcs.php on line 147
    Jan 26 01:35:53 waltercruz php5: PHP Warning: Cannot modify header information - headers already sent by (output started at /var/www/log/inc/users/model/_user.class.php:1237) in /var/www/log/inc/_core/_template.funcs.php on line 148
    Jan 26 01:35:53 waltercruz php5: PHP Warning: Cannot modify header information - headers already sent by (output started at /var/www/log/inc/users/model/_user.class.php:1237) in /var/www/log/inc/_core/_template.funcs.php on line 149
    Jan 26 01:35:53 waltercruz php5: PHP Warning: Cannot modify header information - headers already sent by (output started at /var/www/log/inc/users/model/_user.class.php:1237) in /var/www/log/inc/_core/_template.funcs.php on line 133
    Jan 26 01:35:53 waltercruz php5: PHP Warning: Cannot modify header information - headers already sent by (output started at /var/www/log/inc/users/model/_user.class.php:1237) in /var/www/log/inc/_core/_template.funcs.php on line 136

     
  • Walter Cruz

    Walter Cruz - 2009-01-26

    Worked when I unassocieated the openid from my account.

     
  • daniel hahler

    daniel hahler - 2009-01-26

    I could not find a "bad print()" between SVN r761 (0.5.4-dev) and r972 (0.5.5).
    What's in /var/www/log/inc/users/model/_user.class.php, line 1237?

    What worked after unlinking your OpenID from the user account? The "print" went away, or the bug?

    Have you tried the two things to debug it?

     
  • Walter Cruz

    Walter Cruz - 2009-01-26

    Line 1237 is echo format_to_output... (method preferred_name)

    function preferred_name( $format = 'htmlbody' )
    {
    echo format_to_output( $this->get_preferred_name(), $format );
    }

    What works:
    1) The comment, from a user that don't have a openid associated to their account.
    2) The ratings

    When I comment with my openid associated to my b2evo account, it stops showing 'WalterCruz WalterCruz', but the comment is properly inserted.

     
  • Walter Cruz

    Walter Cruz - 2009-01-26

    What is displayed on backtrace on firefox:

    Backtrace:

    1. User->preferred_name( "raw", false )
    File: /var/www/log/inc/comments/model/_comment.class.php on line 298
    2. Comment->get_author_name( )
    File: /var/www/log/plugins/_akismet.plugin.php on line 216
    3. akismet_plugin->GetSpamKarmaForComment( Array(5) )
    File: /var/www/log/inc/plugins/model/_plugins.class.php on line 1186
    4. Plugins->call_method( "35", "GetSpamKarmaForComment", Array(5) )
    File: /var/www/log/inc/plugins/model/_plugins.class.php on line 1092
    5. Plugins->trigger_karma_collect( "GetSpamKarmaForComment", Array(1) )
    File: /var/www/log/inc/comments/model/_comment.class.php on line 1281
    6. Comment->dbinsert( )
    File: /var/www/log/htsrv/comment_post.php on line 296

    Ignored last: 1
    Walter Cruz
    Backtrace:

    1. User->preferred_name( "raw", false )
    File: /var/www/log/inc/comments/model/_comment.class.php on line 298
    2. Comment->get_author_name( )
    File: /var/www/log/plugins/_akismet.plugin.php on line 227
    3. akismet_plugin->GetSpamKarmaForComment( Array(5) )
    File: /var/www/log/inc/plugins/model/_plugins.class.php on line 1186
    4. Plugins->call_method( "35", "GetSpamKarmaForComment", Array(5) )
    File: /var/www/log/inc/plugins/model/_plugins.class.php on line 1092
    5. Plugins->trigger_karma_collect( "GetSpamKarmaForComment", Array(1) )
    File: /var/www/log/inc/comments/model/_comment.class.php on line 1281
    6. Comment->dbinsert( )
    File: /var/www/log/htsrv/comment_post.php on line 296

     
  • Walter Cruz

    Walter Cruz - 2009-02-12

    works now with 0.5.5, we can close this bug ;)

     
  • daniel hahler

    daniel hahler - 2009-02-12
    • status: open --> closed-fixed
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks